package com.css.simulation.resource.server.api.controller.job_manage;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.vo.project.ProjectReportVO;
import api.common.util.ObjectUtil;
import api.common.util.StringUtil;
import com.css.simulation.resource.server.application.SimulationProjectService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/report")
public class ReportController {


    @Resource
    private SimulationProjectService simulationProjectService;


    /**
     * 获取测试报告详情
     *
     */
    @RequestMapping("getSimulationReportById")
    public ResponseBodyVO<ProjectReportVO> getSimulationReportById(@RequestBody Map<String, String> paramMap) {
        if (ObjectUtil.isNull(paramMap) || ObjectUtil.isNull(paramMap.get("algorithmId"))) {
            return new ResponseBodyVO(false, 500, "参数必传！", null);
        }

        //获取最新的报告id
        String projectId = simulationProjectService.selectProjectReportIdByAlgorithmId(paramMap.get("algorithmId"));
        if (StringUtil.isEmpty(projectId)) {
            return new ResponseBodyVO(ResponseBodyVO.Response.SERVER_FAILURE, "报告不存在");
        }

        //获取报告详情
        SimulationManualProjectParam projectParam = new SimulationManualProjectParam();
        projectParam.setId(projectId);
        ResponseBodyVO<ProjectReportVO> vo = simulationProjectService.selectProjectReportById(projectParam);

        //ProjectReportVo reportVo = reportService.getSimulationReportById(paramMap);
        ResponseBodyVO<ProjectReportVO> response = new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(vo.getInfo());
        return response;
    }
}
